package com.unis.detectionnum.common.vo;

import java.util.Date;
import java.util.List;

import lombok.Data;

/** 
 * @ClassName: DetectionWaterReportVO 
 * @Description: 水分检测报告单 
 * @author LiuFeng 
 * @date 2019年9月10日 下午6:41:16  
 */
@Data
public class DetectionWaterReportVO {

	private String title;
	
	private Date detectionDate;
	
	private DCfxxsjyVO cfxxsjyVO;
	
	private List<CableVO> cableDatas;
	
	private WaterStatisticsVO statisticsVO;
	
	public Date getDetectionDate() {
		if(this.cableDatas != null ) {
			this.detectionDate =  this.cableDatas.get(0).getDatas().get(0).getCreateDate();
		}		
		return this.detectionDate;
	}
}
